(function () {
  var _createObjectURL = window.URL.createObjectURL
  Object.defineProperty(window.URL, 'createObjectURL', {
    set: function (value) {
      console.trace('set createObjectURL')
      _createObjectURL = value
    },
    get: function () {
      console.trace('get createObjectURL')
      return _createObjectURL
    }
  })
})()
// (function () {
//   var _URL = window.URL
//   Object.defineProperty(window, 'URL', {
//     set: function (value) {
//       console.trace('set URL')
//       console.log(value)
//       _URL = value
//     },
//     get: function (value) {
//       console.trace('get URL')
//       console.log(value)
//       return _URL
//     }
//   })
// })()
